/*
 * This file is generated by jOOQ.
 */
package de.ship.clip.db.tables.records;


import de.ship.clip.db.tables.TProfile;

import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Record3;
import org.jooq.Row3;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TProfileRecord extends UpdatableRecordImpl<TProfileRecord> implements Record3<Integer, String, String> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>config.t_profile.pk</code>.
     */
    public void setPk(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>config.t_profile.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>config.t_profile.keycloak_id</code>.
     */
    public void setKeycloakId(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>config.t_profile.keycloak_id</code>.
     */
    public String getKeycloakId() {
        return (String) get(1);
    }

    /**
     * Setter for <code>config.t_profile.theme</code>.
     */
    public void setTheme(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>config.t_profile.theme</code>.
     */
    public String getTheme() {
        return (String) get(2);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Record3 type implementation
    // -------------------------------------------------------------------------

    @Override
    public Row3<Integer, String, String> fieldsRow() {
        return (Row3) super.fieldsRow();
    }

    @Override
    public Row3<Integer, String, String> valuesRow() {
        return (Row3) super.valuesRow();
    }

    @Override
    public Field<Integer> field1() {
        return TProfile.T_PROFILE.PK;
    }

    @Override
    public Field<String> field2() {
        return TProfile.T_PROFILE.KEYCLOAK_ID;
    }

    @Override
    public Field<String> field3() {
        return TProfile.T_PROFILE.THEME;
    }

    @Override
    public Integer component1() {
        return getPk();
    }

    @Override
    public String component2() {
        return getKeycloakId();
    }

    @Override
    public String component3() {
        return getTheme();
    }

    @Override
    public Integer value1() {
        return getPk();
    }

    @Override
    public String value2() {
        return getKeycloakId();
    }

    @Override
    public String value3() {
        return getTheme();
    }

    @Override
    public TProfileRecord value1(Integer value) {
        setPk(value);
        return this;
    }

    @Override
    public TProfileRecord value2(String value) {
        setKeycloakId(value);
        return this;
    }

    @Override
    public TProfileRecord value3(String value) {
        setTheme(value);
        return this;
    }

    @Override
    public TProfileRecord values(Integer value1, String value2, String value3) {
        value1(value1);
        value2(value2);
        value3(value3);
        return this;
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TProfileRecord
     */
    public TProfileRecord() {
        super(TProfile.T_PROFILE);
    }

    /**
     * Create a detached, initialised TProfileRecord
     */
    public TProfileRecord(Integer pk, String keycloakId, String theme) {
        super(TProfile.T_PROFILE);

        setPk(pk);
        setKeycloakId(keycloakId);
        setTheme(theme);
        resetChangedOnNotNull();
    }
}
